CHANGELOG fuer c't-Bot
======================
2007-01-15 Timo Sandmann [mail@timosandmann.de]: Mini-Bugfix: In behaviour_remotecall.c war versehentlich eine Schleife verschwunden

2007-01-15 Benjamin Benz [bbe@heise.de]: Code ins Public-CVS eingespielt. Das betrifft alle Log-Eintraege ab dem (2006-11-07)

2007-01-15 Benjamin Benz [bbe@heise.de]: Testrukturen und Log-ausgaben entfernt

2007-01-15 Timo Sandmann [mail@timosandmann.de]: Map verwendet nun entweder VM (MMC oder PC) oder MMC/MCU oder PC. 2 warnings in log.c entfernt.

2007-01-15 Timo Sandmann [mail@timosandmann.de]: Init-Fehler in mmc-vm.c im Zusammenhang mit fopen() behoben. Mini-VM-Statistik fuer MCU hinzugefuegt.

2007-01-14 Timo Sandmann [mail@timosandmann.de]: Noch ein paar kleinere Verbesserungen & Bugfixes bei den Remotecalls vorgenommen, kein Umordnen kritischer Codebloecke durch den Compiler mehr

2007-01-14 Benjamin Benz [bbe@heise.de]: Doku fuer Remote-calls & Remote-call-Eintraege vervollstaendigt

2007-01-14 Benjamin Benz [bbe@heise.de]: Remote-calls benachrichtigen jetzt den Caller wenn sie fertig sind

2007-01-13 Benjamin Benz [bbe@heise.de]: Remote-calls lassen sich nun auch aus der ferne aufrufen

2007-01-13 Benjamin Benz [bbe@heise.de]: Parameterlaengen in die remeote_call-Datenstruktur uebernommen und dafuer aus bot_remote_call den parameter entfernt

2007-01-12 Benjamin Benz [bbe@heise.de]: Bot kann nun eine Liste der verfuegbaren Remote-Calls an den PC uebertragen

2007-01-12 Timo Sandmann [mail@timosandmann.de]: Remotecalls: Kommentare ergaenzt und neuen Datentyp einfefuert, der strict-aliasing beachtet.

2007-01-12 Benjamin Benz [bbe@heise.de]: Parameterreihenfolge von bot_goto angepasst

2007-01-12 Timo Sandmann [mail@timosandmann.de]: Remotecalls um Parameteruebergabe erweitert

2007-01-12 Benjamin Benz [bbe@heise.de]: Ueberlauf in drive_distance beseitigt

2007-01-12 Timo Sandmann [mail@timosandmann.de]: FAT16-Dateien auf MMC koennen nun laengere Dateinamen haben und wir speichern ihre Groesse im ersten Sektor. Die Dateigroesse ist per mmc_get_filesize() auslesbar.

2007-01-09 Benjamin Benz [bbe@heise.de]: Remotecall-Behaviours erweitert

2007-01-09 Benjamin Benz [bbe@heise.de]: Bugfix in map.c

2007-01-08 Benjamin Benz [bbe@heise.de]: Nach einem Vorschlag von Achiem: Die groesse der benutzten Karte ist nun fuer andere Funktionen sichtbar, sofern in map.h SHRINK_MAP_ONLINE gesetzt ist. Wenn nicht steht in den "Variablen" die maximale Kartengroesse

2007-01-08 Benjamin Benz [bbe@heise.de]: Nach einem Vorschlag von Frank Menzel die Prioritaeten von Bot_turn und bot_gotoxy geaendert

2007-01-07 Timo Sandmann [mail@timosandmann.de]: MMC-Doku erweitert

2007-01-05 Benjamin Benz [bbe@heise.de]: Die PC-Version des Codes kann nun mit dem Schalter "-c" leere Dateien erstellen, die spaeter der mini-fat-Treiber auf dem MCU findet

2007-01-02 Timo Sandmann [mail@timosandmann.de]: Funktion zum Leeren einer FAT16-Datei auf MMC hinzugefuegt

2007-01-01 Timo Sandmann [mail@timosandmann.de]: VM um Statistik-Auswertung erweitert

2006-12-29 Timo Sandmann [mail@timosandmann.de]: PC-Emulation einer MMC / SD-Card implementiert (pc/mmc-emu_pc.c)

2006-12-26 Timo Sandmann [mail@timosandmann.de]: Compiler-Warnings beim Timer (MCU) beseitigt (Vielen Dank an Torsten Evers fuer die Hinweise zu strict-aliasing) 

2006-12-22 Benjamin Benz [bbe@heise.de]: auch der reale Bot kann nun das Remote-Display nutzen

2006-12-21 Timo Sandmann [mail@timosandmann.de]: MMC-VM um eine Funktion zum Oeffnen von FAT16-Dateien ergaenzt (mmc_fopen())

2006-12-19 Timo Sandmann [mail@timosandmann.de]: Distsensor-Update deaktiviert waehrend Servoaktivitaet fuer Transportfachklappe. Unnoetige volatile-Deklarationen entfernt. Ein paar #define-Abhaengigkeiten korrigiert

2006-12-19 Timo Sandmann [mail@timosandmann.de]: MMC-Code um asynchrones Schreiben ergaenzt, aktivierbar in mmc-low.h

2006-12-19 Benjamin Benz [bbe@heise.de]: Angefangen Remote-calls einzufuehren

2006-12-19  Frank Menzel(menzelfr@gmx.de) Aenderungen der Verhaltensanzeige: 1.) sichtbaren Priobereich auf Defines in bot-local.h gelegt 2.) dynamische Verhaltensanzeige 
                         via Define ermoeglicht Online-Sehen der Zustandsaenderungen, Selektion eines Verh. geht sofort durch

2006-12-18 Timo Sandmann [mail@timosandmann.de]: Servoverhalten optimiert

2006-12-16 Timo Sandmann [mail@timosandmann.de]: Kompatibilitaet mit einigen MMC / SD-Cards verbessert

2006-12-10 Timo Sandmann [mail@timosandmann.de]: Robustheit beim MMC-Timing verbessert, kleine Bugfixes, VM erweitert

2006-12-08 Benjamin Benz [bbe@heise.de]:  ENA-Bugfixes, catch_pillar eingefuehrt

2006-12-07 Timo Sandmann [mail@timosandmann.de]: Support fuer ATmega644 eingebaut

2006-12-07 Timo Sandmann [mail@timosandmann.de]: Detailverbesserungen am MMC-Code und Tippfehler in bot_scan_behaviour() korrigiert

2006-12-07 Benjamin Benz [bbe@heise.de]: MMC-Code von Timo und Benjamin gemerged

2006-12-07 Benjamin Benz [bbe@heise.de]: Enable-System fuer Maus und MMC umgestellt

2006-12-07 Benjamin Benz [bbe@heise.de]: UART auf 57600 Baud umgestellt

2006-12-07 Benjamin Benz [bbe@heise.de]: Servo-Verhalten eingefuehrt

2006-12-04 Timo Sandmann [mail@timosandmann.de]: Low-Level-Funktionen fuer MMC / SD-Card anders implementiert, 1. Version eines virtuellen Speicher-Managements fuer MMC / SD-Card eingefuehrt, MMC- / SD-Card-Code aufgeraeumt

2006-12-03 Timo Sandmann [mail@timosandmann.de]: Die delay-Funktion arbeitet jetzt auch im (sehr) theoretischen Worstcase (Interrupt unterbricht Timer-Abfrage und gleichzeitiger Uebertrag an 8-Bit Grenze) korrekt

2006-11-23 Timo Sandmann [mail@timosandmann.de]: Bugfix fuer gettimeofday-Problem unter Win und Map-Konvertierung nur, wenn MAP auch an ist

2006-11-10 Benjamin Benz [bbe@heise.de]: Mini-fat eingefuehrt

2006-11-09 Benjamin Benz [bbe@heise.de]: map.c fuer Flash-Karte vorbereitet, die 2.

2006-11-08 Benjamin Benz [bbe@heise.de]: map.c fuer Flash-Karte vorbereitet

2006-11-08 Benjamin Benz [bbe@heise.de]: Code fuer MMC-/SD-Karten funktioniert nun im Bit-Bang-Betrieb

2006-11-07 Benjamin Benz [bbe@heise.de]: Code fuer MMC-/SD-Karten eingefuehrt

2006-11-06 Benjamin Benz [bbe@heise.de]: Kartenkoordinaten auf uin16 umgestellt

2006-11-06 Benjamin Benz [bbe@heise.de]: map.c kommentiert und etwas geschliffen

2006-11-03 Timo Sandmann [mail@timosandmann.de]: Zwei warnings beseitigt und zwei unnoetige volatiles in bot-logik.c entfernt

2006-11-03 Benjamin Benz [bbe@heise.de]: Verhalten aus bot-logik.c auf einzelfunktionen aufgeteilt und in available_behaviours Schalter zur Auswahl eingefuehrt

2006-11-01 Timo Sandmann [mail@timosandmann.de]: Timer auf tickCounts [176 us] umgestellt (bevorzugt TIMER_GET_TICKCOUNT_16 oder 32 verwenden; MS_TO_TICKS() rechnet dazu ms in Ticks um)

2006-11-01 Benjamin Benz [bbe@heise.de]: Karten funktionieren jetzt schon mal auf dem PC

2006-10-31 Benjamin Benz [bbe@heise.de]: Bugfixes bei den define-Schaltern

2006-10-31 Achim Pankalla [achim.pankalla@gmx.de]: Ergaenzung / Fehlerkorrektur bei DISPLAY_... defines in ct-bot.h

2006-10-29 Timo Sandmann [mail@timosandmann.de]: Bug in command.c behoben (Code compilierte nicht ohne LOG_AVAILABLE)

2006-10-26 Benjamin Benz (bbe@heise.de) Karten (nur PC) eingefuehrt, Kommunikation angepasst

2006-09-12 Benjamin Benz [bbe@heise.de]: Timersteps auf 176 angepasst

2006-09-12 Benjamin Benz [bbe@heise.de]: Nach einem Hinweis von Achim Pankalla 2 Warnings entfernt und eine Variable sauber initialisiert

2006-09-10 Timo Sandmann [mail@timosandmann.de]: Fehler in bot_gotoxy_behaviour() korrigiert (Code kompilierte nicht ohne MEASURE_MOUSE_AVAILABLE)

2006-09-04 Timo Sandmann [mail@timosandmann.de]: Heading-Berechnung bei Maus-Encoder-Kopplung korrigiert

2006-09-01 Timo Sandmann [mail@timosandmann.de]: Mausueberlaufbehandlung nochmal praezisiert

2006-09-01 Benjamin Benz [bbe@heise.de]: Datentyp von simultime angepasst

2006-08-30 Achim Pankalla [achim.pankalla@gmx.de]: Korrektur behebt Compiler warning in ct-bot.c beim setzen von LOG_DISPLAY_AVAILABLE

2006-08-29 Timo Sandmann [mail@timosandmann.de]: Berechnung von v_mou_left / right korrigiert

2006-08-29 Benjamin Benz [bbe@heise.de]: Bugfix in mcu/delay.c

2006-08-29 Benjamin Benz [bbe@heise.de]: bot_gotoxy nach einem Patch von Thomas Noll (nollsen@web.de) verbessert

2006-08-29 Timo Sandmann [mail@timosandmann.de]: Maussensor-Ueberlauf korrigiert

2006-08-28 Achim Pankalla [achim.pankalla@gmx.de]: Optimierung der LOG-Makros

2006-08-25 Achim Pankalla [achim.pankalla@gmx.de]: Verhindert in sensor_abstand den Wert Null und eine Division durch Null.

2006-08-24 Timo Sandmann [mail@timosandmann.de]: allgemeine Variablen fuer Speed und Odometrie eingefuehrt, v_mou_center und modifiedAngles-Bug korrigiert

2006-08-04 Benjamin Benz [bbe@heise.de]: motor_low_pc.c Bugfix

2006-08-16 Felix Beckwermert [felix@beckwermert.de]: sensor.c -- buf-fix (aus forum): Klammern bei dHead ergaenzt

2006-08-04 Timo Sandmann [mail@timosandmann.de]: tcp.h um include fuer Macs ergaenzt

2006-08-04 Benjamin Benz [bbe@heise.de]: Alle TCP-Daten werden nun auf einen Schlag uebertragen

2006-07-26 Benjamin Benz [bbe@heise.de]: TestClient eingefuehrt

2006-07-26 Benjamin Benz [bbe@heise.de]: Timing-estcode ueberarbeitet

2006-07-26 Benjamin Benz [bbe@heise.de]: Debug-Output und debug-Befehle entfernt

2006-07-24 Peter Koenig [pek@heise.de]: Text der GPL eingefuegt

2006-07-20 Benjamin Benz [bbe@heise.de]: Default FB fuer Sim auf RC_HAVE_HQ_RC_UNIVERS29_334 gesetzt

2006-07-20 Benjamin Benz [bbe@heise.de]: Thread-Modell grundlegend ueberarbeitet. Bot und sim nun synchron

2006-07-11  Benjamin Benz (bbe@heise.de) Sensor-correction grob an ct-sim angepasst

2006-07-11  Frank Menzel(menzelfr@gmx.de) Korrekturen bzgl. Logausgabe

2006-07-11  Benjamin Benz (bbe@heise.de) Toggle-Bit nach einem Hinweis von Frank Menzel korrigiert

2006-07-09  Benjamin Benz (bbe@heise.de) Mauskalibrierung an ct-Sim angepasst

2006-07-09	Torsten Evers (tevers@onlinehome.de) Geschwindigkeitsberechnung in sensor.c nach Hinweis von Frank Menzel korrigiert

2006-07-06  Torsten Evers (tevers@onlinehome.de) Diverse Verbesserungen an bot_maze()

2006-07-06  Benjamin Benz (bbe@heise.de) Kennlinien nun fuer virtuelle und reale Bots!

2006-07-04  Torsten Evers (tevers@onlinehome.de) Getrennte Stuetzwerte fuer Distanzermittlung DP2D12 und Bildung von Schnittwerten aus den letzten drei Messungen eingefuehrt

2006-07-04  Benjamin Benz (bbe@heise.de) Timer_steps gerundet

2006-07-03  Benjamin Benz (bbe@heise.de) Bugfix in ir_isr()

2006-06-22  Peter Koenig (pek@heise.de) Nach Hinweis von Torsten Evers den Wert LINE_SENSE in bot-local.h auf 0x350 gesetzt, da Bot sonst die 0x323 vom rechten Startpad als Linie interpretiert

2006-06-13	Torsten Evers (tevers@onlinehome.de) Anzeige des aktuell freien RAMs auf Screen 5 hinzugefuegt (nur MCU!)

2006-06-12	Benjamin Benz (bbe@heise.de) Promo8-FB-Codes erweitert

2006-06-12	Benjamin Benz (bbe@heise.de) Prioritaeten angepasst

2006-06-08	Torsten Evers (tevers@onlinehome.de) Odometrie-Funktionen in sensor_update() integriert, bot_turn() fuer Verwendung von Odometriewerten angepasst und bot_gotoxy() eingefuehrt

2006-05-23	Benjamin Benz (bbe@heise.de) Makefile ueberarbeitet

2006-05-19	Benjamin Benz (bbe@heise.de) Deadlock aus command_read entfernt.

2006-05-12	Torsten Evers (tevers@onlinehome.de) maus_get_squal() zur Ermittlung des SQUAL-Wertes des Maussensors hinzugefuegt

2006-05-10  Ralf Loehmer  (rl@loehmer.de) maus_sens_write(); MSB

2006-05-10	Benjamin Benz (bbe@heise.de) UART-Baudrate-Formeln ueberarbeitet

2006-05-07	Torsten Evers (tevers@onlinehome.de) Fernbedienung LifeTec LT 3607 hinzugefuegt

2006-05-01	Torsten Evers (tevers@onlinehome.de) Linienfolger ueberarbeitet und eingepflegt

2006-05-01	Benjamin Benz (bbe@heise.de) Speed_control komplett neu geschrieben

2006-04-30	Benjamin Benz (bbe@heise.de) Wertebegrenzung fuer IR-Sensor eingefuehrt

2006-04-29	Benjamin Benz (bbe@heise.de) Delay angepasst

2006-04-29	Benjamin Benz (bbe@heise.de) Datentypen der Uebertragung der MouseDX/DY-Werte angepasst

2006-04-29	Benjamin Benz (bbe@heise.de) Bot_simple_behaviour und Bot_simple2_behaviour vorbereitet und kommentiert

2006-04-28	Benjamin Benz (bbe@heise.de) Loggen auf Konsole reaktiviert

2006-04-28	Benjamin Benz (bbe@heise.de) Default Fernbedienung HQ RC Univers 29 (Code 334) eingefuehrt

2006-04-28	Benjamin Benz (bbe@heise.de) Maussensor kommt nun auch mit Optimiertem Compilat klar (-Os)

2006-04-27	Benjamin Benz (bbe@heise.de) UART-Empfangsroutinen entkaefert

2006-04-26	Benjamin Benz (bbe@heise.de) Routinen zum simulieren (PC) von Maussensorbildern eingefuehrt

2006-04-25	Benjamin Benz (bbe@heise.de) Routinen zum Auslesen von Maussensorbildern vorbereitet

2006-04-20	Torsten Evers <tevers@onlinehome.de> Drehrichtungen fuer die Tasten 4,6 und 7,9 geaendert, so dass die Drehrichtung der Anordnung der Tasten auf der Fernbedienung entspricht

2006-04-06  Frank Menzel(menzelfr@gmx.de) Not-Aus eingefuehrt nach PWR. Alle Verhalten werden deaktiviert und der vorheriger Zustand in der Verhaltens-Puffervariable gemerkt. Dann wird die Verhaltensanzeige Screen 2 aktiviert, wo nach Select die Verhalten wieder wie vorher eingeschaltet werden koennen. 

2006-04-19  Joerg Bullmann (jbc@mac10.de) RC5-Codes fuer Technisat CIP Fernbedienung

2006-04-13	Benjamin Benz (bbe@heise.de) 2 Codes für Conrad-Fb wie ind er Mailingliste diskutiert geaendert

2006-04-18	Ulrich Scheffler (ulrich.scheffler@web.de) Codes fuer die Fernbedienung VIVANCO UR89, TV Modus (Code089) eingepflegt

2006-04-18  Torsten Evers (tevers@onlinehome.de) bot_solve_maze erkennt Startfelder

2006-04-16	Torsten Evers (tevers@onlinehome.de) bot_solve_maze + Hilfsverhalten eingefuegt

2006-04-16 	Torsten Evers (tevers@onlinehome.de) bot_turn ueberarbeitet

2006-04-16  Ulrich Scheffler (ulrich.scheffler@web.de) Kleine anpassungen an den rc5-codes

2006-04-14  Carsten Giesen (info@cnau.de) TWI (I2C) Treiber und SRF10 Ansteuerung

2006-04-13	Staudenmayer (andreas.staudenmayer@t-online.de) Batchdatei fuer Programmieradapter STK200 und viele baugleiche Programmer am Parallelport eingefuehrt

2006-04-13	Benjamin Benz (bbe@heise.de) bot_avoid_col_behaviour veraendert, alle verhalten auf namenskonvention angepasst

2006-04-13  Daniel Bachfeld (dab@heise.de) Bot-Geschwindigkeit in mm/s geaendert. regelung geht jetzt auch fuer Rueckwaertsfahrt

2006-04-03	Benjamin Benz (bbe@heise.de)  bot_behave() nimmt die Arbeit erst auf, wenn alle Sensoren initialisiert sind

2006-04-04  Torsten Evers (tevers@onlinehome.de) bot_turn ueberarbeitet

2006-04-04  Daniel Bachfeld (dab@heise.de) Motorregelung eingefuehrt

2006-04-03	Benjamin Benz (bbe@heise.de)  Für den simulierten Bot gilt immer die Standardfernbedienung

2006-04-03  Benjamin Benz (bbe@heise.de)  Unterverzeichnis Documentation eingefuehrt

2006-04-03  Frank Menzel(menzelfr@gmx.de) & Carsten Giesen (info@cnau.de) Die folgenden beiden Aenderungen eingereicht:
										Verhaltensanzeige im Screen 3 an Stelle des 
										   Counters via Define DISPLAY_BEHAVIOUR_AVAILABLE. Durch die Mehrfachnutzung der Zahlentasten (1-6) bekommen diese im Screen 3 die Bedeutung der
                                           Umschaltmoeglichkeit eines Verhaltens (aktiv <-> inaktiv), wobei 1 und 0 fr aktiv und inaktiv stehen. 
                                           Geblaettert werden kann mit der Taste RC5_CODE_VIEW und scharfgeschaltet wird via RC5_CODE_SELECT.
                                           Fuer Eindeutigkeit sind Verhalten gleicher Prioritaet angepasst worden (bot_simple und slalom_behaviour).

2006-03-27	Andreas Merkle (mail@blue-andi.de)	Zeiger, welche als Funktionszeiger verwendet wurden, ersetzt.

2006-03-31	Frank Menzel (Menzelfr@gmx.de) RC5-Signale werden nur noch mit geaendertem Toggle-Bit akzeptiert

2006-03-28 	Peter Koenig (pek@ctmagazin.de) Alle int in bot-logik.c/.h nach Absprache mit Christoph Grimmer in int16 bzw. int8 umgewandelt

2006-03-24  Andreas Staudenmayer (andreas.staudenmayer@t-online.de) Fernbedienung VIVANCO UR89 eingefuegt

2006-02-24	Fabian Recktenwald (fa.re.wal@gmx.de) Alle char-Datentypen in int8 oder uint8 umgewandelt

2006-03-24  Benjamin Benz (bbe@heise.de)  Bugfix rc5_bot_next_behaviour

2006-03-23  Benjamin Benz (bbe@heise.de)  Bugfix in bot_turn()

2006-03-22	Andreas Merkle (mail@blue-andi.de)	Die Funktionen in delay_pc.c mit Funktionalitaet hinterlegt.

2006-03-23  Benjamin Benz (bbe@heise.de)  Display-Delay auf optimierten Code angepasst, Verhaltensinitialisierung uebersichtlicher gestaltet

2006-03-20	Carsten Giesen (info@cnau.de) Codes fuer die FB des MediaMPV von Hauappauge eingepflegt

2006-03-19	Andreas Merkle (mail@blue-andi.de)	Timer Variablen ueber Funktionen auf dem PC geschuetzt (Thread-Safe).

2006-03-21	Benjamin Benz (bbe@heise.de)  RC5-Mask-Definition in rc5-codes.h umgezogen

2006-03-19	Lukas Jelonek (ljelonek@techfak.uni-bielefeld.de) Motoren verhalten sich nun links und rechts identisch

2006-03-19	Benjamin Benz (bbe@heise.de)  Der simulierte Bot nutzt nun auch den Maussensor

2006-03-19	Benjamin Benz (bbe@heise.de)  Der PC darf jetzt FB-Kommandos per UART an den realen Bot uebertragen

2006-03-18  Michail Brzitwa (michail@brzitwa.de)    Definition und Selektierbarkeit verschiedener Fernbedienungen in rc5-codes.h

2006-03-16	Peter Koenig (pek@heise.de)	Kommentare korrigiert, bot_olympic_behaviour fuer Release aktiviert

2006-03-15	Benjamin Benz (bbe@heise.de)  Servos fuer PC-Bot eingefuehrt

2006-03-11	Benjamin Benz (bbe@heise.de)  Select-Taste fuer Verhalten eingefuehrt, bot_olympic_behaviour deaktiviert

2006-03-08	Andreas Merkle (mail@blue-andi.de)	Log-Funktionen eingefuehrt

2006-03-05	Benjamin Benz (bbe@heise.de) Kommunikation Bot-PC ueberarbeitet,  Anmeldung am c't-Sim

2006-03-07	Christoph Grimmer (c.grimmer@futurio.de) bot_complex_behaviour in bot_olympic_behaviour umbenannt.

2006-03-05  Christoph Grimmer (c.grimmer@futurio.de) Das complex_behaviour und alle zugehoerigen Funktionen so umgeschrieben, dass sie in das behaviour-framework passen. Zu bot_drive_distance und bot_turn wurden entsprechende Botschaftsfunktionen und globale Variablen angelegt. ACHTUNG: Es kommt sicherlich zu Problemen, wenn die Radencoder waehrend eines Laufs von bot_turn oder bot_drive_distance ueberlaufen!

2006-03-04	Andreas Merkle (mail@blue-andi.de)	Ausgaben auf das LCD-Display vereinfacht.

2006-03-03	Benjamin Benz (bbe@heise.de) Routinen wie bot_goto() kann man nun mehrmals aufrufen

2006-03-03	Benjamin Benz (bbe@heise.de) internes und externes CVS abgeglichen

2006-03-03	Benjamin Benz (bbe@heise.de) Zustandsorientierte Regeln in das Framework eingefuegt

2006-03-02	Benjamin Benz (bbe@heise.de) Remote-Display repariert

2006-03-02	Benjamin Benz (bbe@heise.de) Display.c aufgeraeumt, Makefile angepasst

2006-03-01	Benjamin Benz (bbe@heise.de) Kommunikation Bot-PC eingefuehrt

2006-03-01	Benjamin Benz (bbe@heise.de) Routinen aus bot-2-sim.c verschoben in command.c

2006-02-28	Benjamin Benz (bbe@heise.de) Uart-Kommunikation ueberarbeitet

2006-02-28	Benjamin Benz (bbe@heise.de) Geschwindigkeitsvariabeln v_left und v_right eingefuehrt

2006-02-28	Benjamin Benz (bbe@heise.de) Alle Anpassungen des Roboters an lokale Gegebenheiten in bot-local.h ausgelagert

2006-02-28	Benjamin Benz (bbe@heise.de) TODO-Datei eingefuehrt

2006-02-28	Benjamin Benz (bbe@heise.de) Es gibt jetzt (auf dem MCU) eine globale Zeit (siehe timer.h) 

2006-02-27	Benjamin Benz (bbe@heise.de) Bugfix bei der Uebergabe der Lichtwerte

2006-02-27	Markus Hennecke (markus-hennecke@markus-hennecke.de) Auswertung der Kommandozeile, Zielhost kann als Argument uebergeben werden.

2006-02-27	Benjamin Benz (bbe@heise.de) Wertebereiche der sensoren dokumentiert

2006-02-27	Benjamin Benz (bbe@heise.de) Cleanup im goto-System

2006-02-23	Torsten Evers (tevers@onlinehome.de) Flash-Skript um Pruefung der Fuses erweitert

2006-02-23	Benjamin Benz (bbe@heise.de) doppelte LDR-Variablen entfernt

2006-02-23	Benjamin Benz (bbe@heise.de) Direction-Variablen eingefuehrt, in denen die Drehrichtung auch noch steht, wenn die Speed wieder auf Null ist

2006-02-23	Ansgar Esztermann (ansgar@thphy.uni-duesseldorf.de) Big Endian Unterstuetzung im Netzwerkcode

2006-02-23	Markus Hennecke (markus-hennecke@markus-hennecke.de) Bessere Handhabung weiterer Zielplattformen

2006-02-23	Benjamin Benz (bbe@heise.de) Motor-Drehrichtung angepasst, BORDER_DANGEROUS angepasst, BEHAVIOUR_AVAILABLE eingefuehrt

2006-02-23	Benjamin Benz (bbe@heise.de) Neues Testprogramm, um Resets zu analysieren

2006-02-21 	Carsten Giesen (info@cnau.de) Die Variable Target_Speed wird limitiert

2006-02-21 	Carsten Giesen (info@cnau.de) Das Register MCUCSR wird auf Screen 4 angezeigt

2006-02-21  Torsten Evers (tevers@onlinehome.de) Linux-Skritpe zum Flashen und Fusen mit avrdude eingefuegt

2006-02-20	Benjamin Benz (bbe@heise.de) Und nochmal Bugfix in bot_logik.c

2006-02-20 	Carsten Giesen (info@cnau.de) Erweiterung um 3 zusaetzliche Screens fuer das Display

2006-02-20	Benjamin Benz (bbe@heise.de) Bugfix in bot_logik.c nach einer Idee von (Fabian Recktenwald, fa.re.wal@gmx.de)

2006-02-20	Benjamin Benz (bbe@heise.de) Bugfix in bot_behave()

2006-02-18	Benjamin Benz (bbe@heise.de) Schoenheitskorrektur in den Maus-Routinen

2006-02-19	Benjamin Benz (bbe@heise.de) RC5-Variable in sensor.h umgezogen

2006-02-18	Benjamin Benz (bbe@heise.de) Watchdog sicherheitshalber deaktiviert

2006-02-18	Andreas Staudenmayer (andreas.staudenmayer@t-online.de) Batch-Files zum Flashen/fusen unter Windows

2006-02-18	Rolf Ebert (Rolf.Ebert@gmx.net) LCD-Ausgabe kann nun auch im Simulator erscheinen

2006-02-18	Benjamin Benz (bbe@heise.de) Fuse-Bit-Dateien fuer avrdude eingefügt

2006-02-17	Benjamin Benz (bbe@heise.de) Linearisierung der Distanzsensoren eingeführt

2006-02-17	Benjamin Benz (bbe@heise.de) Stromsparen eingefuehrt

2006-02-15	Andreas Merkle (mail@blue-andi.de) RC5-Fernbedienungscodes in eine Header-Datei ausgelagert. Fernbedienungsaktionen in einer Tabelle zusammengefasst. Dadurch sind Erweiterungen bzw. Aenderungen noch einfacher moeglich.

2006-02-13	Benjamin Benz (bbe@heise.de) Bugfix im bot_goto_system()

2006-02-10	Andreas Merkle (mail@blue-andi.de) Die Makros CLEAR und POSITION unter Windows mit Funktionalitaet hinterlegt.

2006-02-03	Benjamin Benz (bbe@heise.de) Externes CVS mit internem überschrieben

2006-02-02	Benjamin Benz (bbe@heise.de) Bugfix und Cleanup im goto_system

2006-02-02	Benjamin Benz (bbe@heise.de) Maussensor angepasst

2006-02-01	Benjamin Benz (bbe@heise.de) Verhalten bot_glance von Ralph Glass (ralph.glass@t-online.de) eingebaut

2006-02-01	Benjamin Benz (bbe@heise.de) MCU-Code freigegeben

2006-02-01	Benjamin Benz (bbe@heise.de) Verhaltensframework nochmals modifiziert. Additives Verhalten ist wieder raus.
										 speed_l-Variablen und Co aus den Datenstrukturen raus ==> spart RAM
										 goto-System deaktiviert sich nun selbsttaetig

2006-02-01	Benjamin Benz (bbe@heise.de) Bugfix im Verhaltenscode. BOT_SPEED_IGNORE eingefuegt

2006-02-01	Benjamin Benz (bbe@heise.de) Brake-Konstante angepasst

2006-01-31	Benjamin Benz (bbe@heise.de) Kommentare aktualisiert, GPL-Infos eingebaut

2006-01-31	Benjamin Benz (bbe@heise.de) Testprogramme erstellt und dabei kleine Fehler ausgebessert

2006-01-30	Benjamin Benz (bbe@heise.de) Sensoren ueberarbeitet, Encoder reaktiviert

2006-01-30	Benjamin Benz (bbe@heise.de) sensDistL und sensDistR initialisieren bun mit 1023 ==> keine Rotation zu Beginn mehr

2006-01-28	Andreas Merkle (mail@blue-andi.de) Beim Ausfuehren von Verhalten werden Verhalten mit gleicher Prioritaet nun additiv behandelt und erst dann die Werte gesetzt. Im Verhalten bot_avoid_col wurde die Geschwindigkeitsaenderung nicht in die Verhaltenstruktur geschrieben. Dieses wurde korrigiert. Beim Anlegen einer Verhaltensstruktur wird nun ueberprueft, ob genuegend Heap-Speicher vorhanden ist.

2006-01-27	Benjamin Benz (bbe@heise.de) Patch von Andreas Merkle (mail@blue-andi.de) eingebaut. Man kann Verhalten jetzt vereinfacht laden

2006-01-26	Benjamin Benz (bbe@heise.de) Gesamtes Verhalten umgestellt. es gibt jetzt ein eigenes Verhaltens-Framework.

2006-01-26	Benjamin Benz (bbe@heise.de) Kommentare geaendert

2006-01-25	Benjamin Benz (bbe@heise.de) Status der LEDs wird nun an den Simulator uebertragen

2006-01-24	Benjamin Benz (bbe@heise.de) Schreibweise des Changelogs nochmal veraendert